Bug 170425 - [MAINTAINER] www/libmicrohttpd: update to 0.9.21
Summary: [MAINTAINER] www/libmicrohttpd: update to 0.9.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-06 22:10 UTC by Hung-Yi Chen
Modified: 2012-08-08 13:50 UTC (History)
0 users

See Also:


Attachments
libmicrohttpd.diff (1.14 KB, patch)
2012-08-06 22:10 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2012-08-06 22:10:01 UTC
	Update to 0.9.21.
Comment 1 Bryan Drewery freebsd_committer 2012-08-07 16:41:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 2 Bryan Drewery freebsd_committer 2012-08-07 16:45:05 UTC
Your patch did not apply cleanly as the committed version is 0.9.20, not
0.9.15. See ports/169100.

Here is the updated patch, does this look ok?

http://people.freebsd.org/~bdrewery/patch-www-libmicrohttpd-0.9.21.txt
<http://people.freebsd.org/%7Ebdrewery/patch-www-libmicrohttpd-0.9.21.txt>
Comment 3 Bryan Drewery freebsd_committer 2012-08-08 13:43:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2012-08-08 13:43:52 UTC
Author: bdrewery
Date: Wed Aug  8 12:43:40 2012
New Revision: 302284
URL: http://svn.freebsd.org/changeset/ports/302284

Log:
  - Update to 0.9.21
  
  ChangeLog:
  
    * Fixes potential problems with non-monotonic increasing system time
      values
    * Makes sockets non-inheritable by default
    * Enables MHD to operate without a "listen" socket (for special
      circumstances)
  
  PR:		ports/170425
  Submitted by:	Hung-Yi Chen <gaod@hychen.org> (maintainer)
  Approved by:	eadler (mentor)

Modified:
  head/www/libmicrohttpd/Makefile
  head/www/libmicrohttpd/distinfo

Modified: head/www/libmicrohttpd/Makefile
==============================================================================
--- head/www/libmicrohttpd/Makefile	Wed Aug  8 12:13:18 2012	(r302283)
+++ head/www/libmicrohttpd/Makefile	Wed Aug  8 12:43:40 2012	(r302284)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	libmicrohttpd
-PORTVERSION=	0.9.20
+PORTVERSION=	0.9.21
 CATEGORIES=	www
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -36,7 +36,7 @@ MAKE_ARGS+=	pkgconfigdir=${PREFIX}/libda
 MAN3=		libmicrohttpd.3
 INFO=		microhttpd microhttpd-tutorial
 
-PLIST_FILES=	lib/libmicrohttpd.so.25 \
+PLIST_FILES=	lib/libmicrohttpd.so.26 \
 		lib/libmicrohttpd.la \
 		lib/libmicrohttpd.so \
 		lib/libmicrohttpd.a \

Modified: head/www/libmicrohttpd/distinfo
==============================================================================
--- head/www/libmicrohttpd/distinfo	Wed Aug  8 12:13:18 2012	(r302283)
+++ head/www/libmicrohttpd/distinfo	Wed Aug  8 12:43:40 2012	(r302284)
@@ -1,2 +1,2 @@
-SHA256 (libmicrohttpd-0.9.20.tar.gz) = 92caeee6acb05f39bcc9f2736df9f0720c8b3dac3a537198031909d38b3353cb
-SIZE (libmicrohttpd-0.9.20.tar.gz) = 828176
+SHA256 (libmicrohttpd-0.9.21.tar.gz) = 280d7e4a9ab9220db297b1e132acc8c0297ad95cf22a8b995fd8cb73562f3825
+SIZE (libmicrohttpd-0.9.21.tar.gz) = 832996
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"